'------------------------------------------------------------------------------
'   ** Constants **
'------------------------------------------------------------------------------
%IDC_BG        = 1001
%IDC_EXITFORM  = 1002
'------------------------------------------------------------------------------

'------------------------------------------------------------------------------
'   ** Declarations **
'------------------------------------------------------------------------------
DECLARE CALLBACK FUNCTION ShowFormAboutProc()
DECLARE FUNCTION ShowFormAbout(BYVAL hParent AS DWORD) AS LONG
'------------------------------------------------------------------------------

CALLBACK FUNCTION ShowFormAboutProc()

    SELECT CASE AS LONG CBMSG
        CASE %WM_INITDIALOG
            ' Initialization handler
        CASE %WM_NCACTIVATE

            STATIC hWndSaveFocus AS DWORD
            IF ISFALSE CBWPARAM THEN
                ' Save control focus
                hWndSaveFocus = GetFocus()
            ELSEIF hWndSaveFocus THEN
                ' Restore control focus
                SetFocus(hWndSaveFocus)
                hWndSaveFocus = 0
            END IF
            CONTROL SET FOCUS CBHNDL, 305

        CASE %WM_COMMAND
            IF CBCTLMSG = %BN_CLICKED OR CBCTLMSG = 1 THEN
               SELECT CASE CBCTL
                  CASE 305 'FLAT BUTTONS
                    DIALOG END CBHNDL
               END SELECT
            END IF
        CASE %WM_CANCELMODE

            DIALOG END CBHNDL
        CASE %WM_DESTROY
            DIALOG END CBHNDL
    END SELECT

END FUNCTION

'------------------------------------------------------------------------------
'   ** Dialogs **
'------------------------------------------------------------------------------
FUNCTION ShowFormAbout(BYVAL hParent AS DWORD) AS LONG
    LOCAL lRslt AS LONG
    LOCAL hFont1 AS DWORD
    LOCAL txtLabe AS STRING
    LOCAL txtLabel_1 AS STRING
    LOCAL hDlg AS DWORD, hRRparent AS DWORD, _
        img AS STRING, rc AS RECT, lf AS LOGFONT



    DIALOG NEW  hParent, "", 294, 180, 300, 300, %WS_POPUP OR %WS_BORDER OR _
        %WS_DLGFRAME OR %WS_CLIPSIBLINGS OR %WS_VISIBLE OR %DS_MODALFRAME OR _
        %DS_CENTER OR %DS_3DLOOK OR %DS_NOFAILCREATE OR %DS_SETFONT, _
        %WS_EX_WINDOWEDGE OR %WS_EX_CONTROLPARENT OR %WS_EX_LEFT OR _
        %WS_EX_LTRREADING OR %WS_EX_RIGHTSCROLLBAR, TO hDlg
    CONTROL ADD TEXTBOX, hDlg, %IDC_BG, gAppManual, 0, 35, 300, 245, _
        %WS_CHILD OR %WS_VISIBLE OR %WS_TABSTOP OR %WS_VSCROLL OR %ES_LEFT _
        OR %ES_MULTILINE OR %ES_AUTOHSCROLL, %WS_EX_CLIENTEDGE OR _
        %WS_EX_LEFT OR %WS_EX_LTRREADING OR %WS_EX_RIGHTSCROLLBAR

'    hFont1 = PBFormsMakeFont("MS Sans Serif", 8, 700, %FALSE, %FALSE, %FALSE, _
'        204)
'    CONTROL SEND hDlg, %IDC_EXIT, %WM_SETFONT, hFont1, 0
    CONTROL SET COLOR  hDlg, %IDC_BG, -1, RGB(255, 255, 187)


    '====================================================================================
    '  
    '====================================================================================
      hRRparent = CreateRRButton(hDlg, 299, gAppName,  45, 3, 205, 25, _
                                %WS_CHILD OR %WS_CLIPCHILDREN OR %WS_VISIBLE, 0, 1)
      CONTROL SEND hDlg, 299, %WM_SETFONT, GetStockObject(%SYSTEM_FONT), 0
      CONTROL SEND hDlg, 299, %RBM_SETLABELMODE, 3, 0       'wParam sets label mode, 0=none, 1=flat, 2=raised, 3=sunken, lParam is redraw flag
      CONTROL SEND hDlg, 299, %RBM_SETTEXTPOS, %DT_SINGLELINE OR %DT_CENTER , 0   'wParam is DrawText position flags, lParam is redraw flag
      CONTROL SEND hDlg, 299, %RBM_SETTXTMARGINL, 10, 0         'wParam sets text margin Left,   lParam is redraw flag
      CONTROL SEND hDlg, 299, %RBM_SETTXTMARGINT, 5, 0          'wParam sets text margin Top,    lParam is redraw flag
      CONTROL SEND hDlg, 299, %RBM_SETTXTCOLORDN, RGB(255,0,0), 0     'wParam sets button's text color in Down state, lParam is redraw flag
      CONTROL SEND hDlg, 299, %BM_SETIMAGE, %IMAGE_ICON, gAppIcon
      CONTROL SEND hDlg, 299, %RBM_SETIMAGEPOS, 10, 10        'if wParam < 0, table in WM_PAINT is used, else wParam/lParam sets x/y
      CONTROL SEND hDlg, 299, %RBM_SETIMAGESIZE, 25, 25     'sets image size for DrawState (bitmap) and/or DrawIconEx
      CONTROL SEND hDlg, 299, %RBM_SETTXT3D, 1, 0             'wParam sets 3-D text on/off, lParam is redraw flag

    '====================================================================================
    '   
    '====================================================================================
      'Now create child for additional black text in Ansi var font (usually MS Sans Serif)
      'Must use SDK-style creation (CreateRRButton's last param is 0), since DDT can't do this.
      'Note, API-creation, so its font will be system font, usually bold and beautiful..
      GetClientRect hRRparent, rc
      CreateRRButton hRRparent, 300, ": oSergij 2005-2006 . (azmest@mail.ru)",  40, 20, rc.nRight-60 , 18, _
                     %WS_CHILD OR %WS_VISIBLE, 0, 0
      CONTROL SEND hRRparent, 300, %RBM_SETLABELMODE, 1, 0
      CONTROL SEND hRRparent, 300, %WM_SETFONT, GetStockObject(%ANSI_VAR_FONT), 0
      CONTROL SEND hRRparent, 300, %RBM_SETCORNER, 0, 0
      CONTROL SEND hRRparent, 300, %RBM_SETTXTCOLOR, RGB(0, 0, 128), 0
      CONTROL SEND hRRparent, 300, %RBM_SETTXT3D, 1, 0

    '====================================================================================
     '   
    '====================================================================================
    CreateRRButton hDlg, 305, "", 100, 285, 100, 12, %WS_CHILD OR %WS_VISIBLE OR %WS_TABSTOP, 2, 1
    CONTROL SEND hDlg, 305, %RBM_SETCORNER,  3, 0  'cut-off, straight corners
    CONTROL SEND hDlg, 305, %RBM_SETSHOWFOCUS, 0, 1   'wParam sets focus rect on/off, lParam is redraw flag

    DIALOG SHOW MODELESS hDlg, CALL ShowFormAboutProc TO lRslt
    FUNCTION = lRslt
END FUNCTION
